## imgsizer 1.2

=== Makefile ===
# Makefile for the imgsizer distribution

# These choices are correct for Linux.  Season to taste.
BINDIR = /usr/local/bin
MANDIR = /usr/man/man1

install:
	cp imgsizer httpget $(BINDIR)
	cp imgsizer.man $(MANDIR)/imgsizer.1

DISTDIR = imgsizer-1.2
FILES = $(DISTDIR)/Makefile $(DISTDIR)/READ.ME $(DISTDIR)/httpget \
	$(DISTDIR)/imgsizer $(DISTDIR)/imgsizer.lsm \
	$(DISTDIR)/imgsizer.man
$(DISTDIR).tar:
	(cd ..; tar -cvf $(DISTDIR)/$(DISTDIR).tar $(FILES))
$(DISTDIR).tar.gz: $(DISTDIR).tar
	gzip -f $(DISTDIR).tar

dist: $(DISTDIR).tar.gz
	ls -l $(DISTDIR).tar.gz

## imgsizer 1.6

=== Makefile ===
# Makefile for the imgsizer distribution
VERS=1.6

# These choices are correct for Linux.  Season to taste.
BINDIR = /usr/bin
MANDIR = /usr/man/man1

install:
	cp imgsizer httpget $(BINDIR)
	cp imgsizer.man $(MANDIR)/imgsizer.1

uninstall:
	rm -f $(BINDIR)/imgsizer $(BINDIR)/imgsizer $(MANDIR)/imgsizer.1

SOURCES = READ.ME Makefile imgsizer httpget imgsizer.man imgsizer.lsm  
imgsizer-$(VERS).tar.gz: $(SOURCES)
	mkdir imgsizer-$(VERS)
	cp $(SOURCES) imgsizer-$(VERS)
	tar -czf imgsizer-$(VERS).tar.gz imgsizer-$(VERS)
	rm -fr imgsizer-$(VERS)
	ls -l imgsizer-$(VERS).tar.gz

dist: imgsizer-$(VERS).tar.gz
	ls -l imgsizer-$(VERS).tar.gz

# Make RPMs.  You need to be root to make this work
RPMROOT=/usr/src/redhat
RPM = rpm
RPMFLAGS = -bb --target noarch
rpm: imgsizer-$(VERS).tar.gz
	cp imgsizer-$(VERS).tar.gz $(RPMROOT)/SOURCES;
	cp imgsizer.spec $(RPMROOT)/SPECS/imgsizer.spec
	(cd $(RPMROOT)/SPECS; $(RPM) $(RPMFLAGS) imgsizer.spec)
	cp $(RPMROOT)/RPMS/noarch/imgsizer-$(VERS)*.rpm .
	chown $$USER *

## imgsizer 2.1

=== Makefile ===
# Makefile for the imgsizer distribution
VERS=2.1

# These choices are correct for Linux.  Season to taste.
BINDIR = /usr/bin
MANDIR = /usr/share/man/man1

install:
	cp imgsizer $(BINDIR)
	cp imgsizer.man $(MANDIR)/imgsizer.1

uninstall:
	rm -f $(BINDIR)/imgsizer $(BINDIR)/imgsizer $(MANDIR)/imgsizer.1

clean:
	rm -f *~ 
	rm -f imgsizer-*-1.noarch.rpm imgsizer-*-1.noarch.rpm imgsizer-*.tar.gz

SOURCES = READ.ME Makefile imgsizer imgsizer.man imgsizer.lsm  
imgsizer-$(VERS).tar.gz: $(SOURCES)
	mkdir imgsizer-$(VERS)
	cp $(SOURCES) imgsizer-$(VERS)
	tar -czf imgsizer-$(VERS).tar.gz imgsizer-$(VERS)
	rm -fr imgsizer-$(VERS)
	ls -l imgsizer-$(VERS).tar.gz

dist: imgsizer-$(VERS).tar.gz

# Make RPMs.  You need to be root to make this work
RPMROOT=/usr/src/redhat
RPM = rpm
RPMFLAGS = -bb --target=noarch
rpm: imgsizer-$(VERS).tar.gz
	cp imgsizer-$(VERS).tar.gz $(RPMROOT)/SOURCES;
	cp imgsizer.spec $(RPMROOT)/SPECS/imgsizer.spec
	(cd $(RPMROOT)/SPECS; $(RPM) $(RPMFLAGS) imgsizer.spec)
	cp $(RPMROOT)/RPMS/noarch/imgsizer-$(VERS)*.rpm .
	chown $$USER *

## imgsizer 2.5

=== Makefile ===
# Makefile for the imgsizer distribution
VERS=2.5

# These choices are correct for Linux.  Season to taste.
BINDIR = /usr/bin
MANDIR = /usr/share/man/man1

install: imgsizer.1 uninstall
	cp imgsizer $(BINDIR)
	cp imgsizer.1 $(MANDIR)/imgsizer.1

uninstall:
	rm -f $(BINDIR)/imgsizer $(BINDIR)/imgsizer $(MANDIR)/imgsizer.1

clean:
	rm -f imgsizer.1 *~ 
	rm -f imgsizer-*-1.noarch.rpm imgsizer-*-1.noarch.rpm imgsizer-*.tar.gz
	rm -f test-after.html

imgsizer.1: imgsizer.xml
	xmlto man imgsizer.xml

SOURCES = READ.ME Makefile imgsizer.spec \
	imgsizer imgsizer.xml \
	test-before.html test-converted.html test.png tnhd2.jpg

imgsizer-$(VERS).tar.gz: $(SOURCES) imgsizer.1 
	mkdir imgsizer-$(VERS)
	cp $(SOURCES) imgsizer.1 imgsizer-$(VERS)
	tar -czf imgsizer-$(VERS).tar.gz imgsizer-$(VERS)
	rm -fr imgsizer-$(VERS)
	ls -l imgsizer-$(VERS).tar.gz

# Regression test is good if there is no output
test: 
	imgsizer <test-before.html >test-after.html
	diff -c test-after.html test-converted.html

dist: imgsizer-$(VERS).tar.gz

# Make RPMs.  You need to be root to make this work
RPMROOT=/usr/src/redhat
rpm: dist
	rpmbuild --target noarch --define 'myversion $(VERS)' -ta imgsizer-$(VERS).tar.gz
	cp $(RPMROOT)/RPMS/noarch/imgsizer-$(VERS)*.noarch.rpm .

## imgsizer 2.7

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Makefile for the imgsizer distribution
-VERS=2.5
+VERS=$(shell sed <imgsizer.spec -n -e '/Version: \(.*\)/s//\1/p')
 
 # These choices are correct for Linux.  Season to taste.
 BINDIR = /usr/bin
@@ -20,7 +20,7 @@
 imgsizer.1: imgsizer.xml
 	xmlto man imgsizer.xml
 
-SOURCES = READ.ME Makefile imgsizer.spec \
+SOURCES = README COPYING Makefile imgsizer.spec \
 	imgsizer imgsizer.xml \
 	test-before.html test-converted.html test.png tnhd2.jpg
 
@@ -38,12 +38,5 @@
 
 dist: imgsizer-$(VERS).tar.gz
 
-# Make RPMs.  You need to be root to make this work
-RPMROOT=/usr/src/redhat
-rpm: dist
-	rpmbuild --target noarch --define 'myversion $(VERS)' -ta imgsizer-$(VERS).tar.gz
-	cp $(RPMROOT)/RPMS/noarch/imgsizer-$(VERS)*.noarch.rpm .
-
-
-
-
+release: imgsizer-$(VERS).tar.gz imgsizer.html
+	shipper -f; rm -f CHANGES ANNOUNCE* *.1 *.html *.rpm *.lsm

## imgsizer 2.10

=== Makefile ===
# Makefile for the imgsizer distribution

# Change this in NEWS file, too
VERS=$(shell sed <imgsizer -n -e '/version *= *\"\(.*\)\"/s//\1/p')

# These choices are correct for Linux.  Season to taste.
BINDIR = /usr/bin
MANDIR = /usr/share/man/man1

install: imgsizer.1 uninstall
	cp imgsizer $(BINDIR)
	cp imgsizer.1 $(MANDIR)/imgsizer.1

uninstall:
	rm -f $(BINDIR)/imgsizer $(BINDIR)/imgsizer $(MANDIR)/imgsizer.1

clean:
	rm -f imgsizer.1 *~ imgsizer-*.tar.gz
	rm -f test-after.html index.html imgsizer.html

imgsizer.1: imgsizer.xml
	xmlto man imgsizer.xml

imgsizer.html: imgsizer.xml
	xmlto html-nochunks imgsizer.xml

# The original unshrunk crate logo is at
# http://clipart-library.com/image_gallery/22229.jpg
SOURCES = README COPYING NEWS control Makefile imgsizer imgsizer.xml crate.jpg \
	test-before.html test-converted.html test.png tnhd2.jpg crate.png

imgsizer-$(VERS).tar.gz: $(SOURCES) imgsizer.1 
	mkdir imgsizer-$(VERS)
	cp $(SOURCES) imgsizer.1 imgsizer-$(VERS)
	tar -czf imgsizer-$(VERS).tar.gz imgsizer-$(VERS)
	rm -fr imgsizer-$(VERS)
	ls -l imgsizer-$(VERS).tar.gz

PYLINTOPTS = --rcfile=/dev/null --reports=n  --msg-template="{path}:{line}: [{msg_id}({symbol}), {obj}] {msg}" --dummy-variables-rgx='^_' --disable=C0103,C0111,C0301,C0326,F0401,R0912,W0121,W0603,W0621,W0622,W0633
pylint:
	@pylint $(PYLINTOPTS) imgsizer

version:
	@echo $(VERS)

# Regression test is good if there is no output
check: 
	@imgsizer <test-before.html >test-after.html
	@diff -c test-after.html test-converted.html
	@echo "No output (other than this) is good news"

dist: imgsizer-$(VERS).tar.gz

release: imgsizer-$(VERS).tar.gz imgsizer.html
	shipper version=$(VERS) | sh -e -x

refresh: imgsizer.html
	shipper -N -w version=$(VERS) | sh -e -x

=== debian/changelog ===
imgsizer (2.10-2) unstable; urgency=medium

  * QA upload.
  * debian/compat: Removed.
  * debian/control:
    - Added '${misc:Depends}' in Depends.
    - Changed from 'debhelper' to 'debhelper-compat (= 13)' in Build-Depends.
  * debian/rules: Changed from 'dh_installmanpages' to 'dh_installman'.

 -- Bruno Almeida Lima <bruno_a.lima@hotmail.com>  Thu, 14 Dec 2023 21:56:54 -0300

imgsizer (2.10-1) unstable; urgency=medium

  * QA upload.
  * Convert to source format 3.0. (Closes: #1007301)
  * d/copyright: Convert to machine-readable format.

 -- Bastian Germann <bage@debian.org>  Thu, 14 Sep 2023 09:17:11 +0000

imgsizer (2.10-0.2) unstable; urgency=low

  * Non-maintainer upload.
  * debian/compat: 5 -> 7. (Closes: #965592)
  * debian/rules: Add build-{arch,indep}. (Closes: #999052)

 -- Adrian Bunk <bunk@debian.org>  Mon, 27 Dec 2021 20:59:10 +0200

imgsizer (2.10-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release.
  * Use Python 3. (Closes: #936729)
  * debian/control: Add Homepage.

 -- Adrian Bunk <bunk@debian.org>  Mon, 23 Dec 2019 16:40:54 +0200

imgsizer (2.7-3) unstable; urgency=low

  * Bug fix: "imgsizer: Doesn't conform to the python policy", thanks
    to Josselin Mouette (Closes: #445280).  Tested with python 2.5.
  * Updated to Standards-Version 2.7.2
  * debian/compat: Added.
  
 -- Peter S Galbraith <psg@debian.org>  Sat, 06 Oct 2007 21:36:27 -0400

imgsizer (2.7-2) unstable; urgency=high

  * Default python is now 2.4; imgsizer won't install. (Closes: #383363)

 -- Peter S Galbraith <psg@debian.org>  Sun, 20 Aug 2006 01:17:21 -0400

imgsizer (2.7-1) unstable; urgency=low

  * New upstream release.

 -- Peter S Galbraith <psg@debian.org>  Thu,  2 Sep 2004 14:23:41 -0400

imgsizer (2.5-1) unstable; urgency=low

  * New upstream release, integrates Lucien Saviot's patch.

 -- Peter S Galbraith <psg@debian.org>  Sat, 15 Nov 2003 13:45:24 -0500

imgsizer (2.4-4) unstable; urgency=low

  * Bug fix: "imgsizer crashes if <img tag is split", thanks to Dave Selby
    for reporting and to Lucien Saviot <lucien.saviot@u-bourgogne.fr> for
    providing the fix (Closes: #215991).

 -- Peter S Galbraith <psg@debian.org>  Sun, 26 Oct 2003 20:20:32 -0500

imgsizer (2.4-3) unstable; urgency=low

  * Standards-Version 3.6.1 without changes.
  * Bug fix: "imgsizer: Patch to generate valid XHTML", thanks to Lucien
    Saviot (Closes: #208618).

 -- Peter S Galbraith <psg@debian.org>  Wed,  3 Sep 2003 22:27:35 -0400

imgsizer (2.4-2) unstable; urgency=low

  * Depend on new default version of python, 2.3
  * Standards-Version 3.6.0 without changes.

 -- Peter S Galbraith <psg@debian.org>  Fri,  8 Aug 2003 21:57:22 -0400

imgsizer (2.4-1) unstable; urgency=low

  * New upstream release (incorporates patches from 2.3-1).
  * Standards-Version: 3.5.9 (No changes)

 -- Peter S Galbraith <psg@debian.org>  Fri, 25 Apr 2003 12:44:35 -0400

imgsizer (2.3-1) unstable; urgency=low

  * New upstream release (imgsizer file says version 2.2, but tar file
    indicates 2.3).
  * Enhance parsing of "<img src=" using patch from Jeroen N. Witmond
    <jnw@xs4all.nl> (closes: #168964).
  * Package still contains patch added in 2.1-5 since it hasn't been
    merged upstream yet.

 -- Peter S Galbraith <psg@debian.org>  Wed, 20 Nov 2002 15:36:39 -0500

imgsizer (2.1-6) unstable; urgency=low

  * debian/control: depend on python >= (2.2), python << (2.3) as
    requested by Matthias Klose since the package was no longer
    installable on unstable.
  * debian/control: Conforms to Standards-Version 3.5.7 without changes.

 -- Peter S Galbraith <psg@debian.org>  Mon, 16 Sep 2002 10:52:37 -0400

imgsizer (2.1-5) unstable; urgency=low

  * Add patch from Lennart Poettering <lennart@poettering.de> fixing
    detection of <img>-tags after single character html tags. e.g.
    <b><img src="foo.png"></b> (closes: #139714).

 -- Peter S Galbraith <psg@debian.org>  Mon, 25 Mar 2002 09:21:51 -0500

imgsizer (2.1-4) unstable; urgency=low

  * debian/control: depend on python >= (2.1), python << (2.2)
  * imgsizer: s/cmd/filecmd/ for python 2.1 instead of 1.5 (cmp.py is
    deprecated; it's now in the old-lib directory whicis not in the load
    path.)
  * imgsizer: change interpreter back to /usr/bin/python

 -- Peter S Galbraith <psg@debian.org>  Thu, 17 Jan 2002 15:20:38 -0500

imgsizer (2.1-3) unstable; urgency=low

  * debian/control: depend on python1.5 (Oups. python1.5-base doesn't
    exist in unstable anymore!)

 -- Peter S Galbraith <psg@debian.org>  Sun,  6 Jan 2002 20:24:44 -0500

imgsizer (2.1-2) unstable; urgency=low

  * imgsizer: change interpreter to /usr/bin/python1.5
  * debian/control: depend on python1.5-base

 -- Peter S Galbraith <psg@debian.org>  Fri,  4 Jan 2002 21:07:38 -0500

imgsizer (2.1-1) unstable; urgency=low

  * New upstream release, uses python instead of perl.
  * debian/control: updated for python.
  * debian/httpget.1: Deleted (no longer relevant).
  * debian/README.Debian: Deleted (no longer relevant).
  * Conforms to Standards-Version 3.5.6

 -- Peter S Galbraith <psg@debian.org>  Tue,  4 Sep 2001 12:45:27 -0400

imgsizer (1.8-3) unstable; urgency=low

  * httpget: Used HTTP/1.0 instead of HTTP/1.1. Applied patch from 
    Colin Watson <cjw44@riva.ucam.org> (closes: #84897)
  * Removed dh_testversion from debian/rules.
  * Changed Build-Depends to debhelper, removing perl-5.005
  * Conforms to Standards-Version 3.5.2
  * Added copyright info for httpget by separate author

 -- Peter S Galbraith <psg@debian.org>  Mon, 26 Feb 2001 16:10:38 -0500

imgsizer (1.8-2) unstable; urgency=low

  * httpget: Change script to 'use Socket;' instead of require "sys/socket.ph".
  * Change Depends to either imagemagick or both file and libjpeg-progs.

 -- Peter S Galbraith <psg@debian.org>  Thu, 21 Sep 2000 12:24:46 -0400

imgsizer (1.8-1) unstable; urgency=low

  * New upstream release.
  * New Debian maintainer; package adopted (closes: #68589)


=== debian/control ===
Source: imgsizer
Section: web
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 3.7.2
Homepage: http://www.catb.org/~esr/imgsizer/

Package: imgsizer
Architecture: all
Depends: ${misc:Depends}, imagemagick | file, imagemagick | libjpeg-turbo-progs, python3
Description: Adds WIDTH and HEIGHT attributes to IMG tags in HTML files
 The imgsizer script automates away the tedious task of creating and
 updating the extension HEIGHT and WIDTH parameters in HTML IMG tags.
 These parameters help browsers to multi-thread image loading, instead of
 having to load images in strict sequence in order to have each one's
 dimensions available so the next can be placed.  This generally allows
 text on the remainder of the page to load much faster.

=== debian/rules ===
#!/usr/bin/make -f

package=imgsizer

build:

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp

	dh_clean

install:
	dh_testdir
	dh_testroot
#	dh_clean -k
	dh_installdirs usr/bin
	install -m 755 imgsizer debian/imgsizer/usr/bin

binary-arch:

binary-indep: install
	dh_testdir
	dh_testroot
	dh_installdocs README
	dh_installman
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

build-arch: build
build-indep: build
binary: binary-arch binary-indep
.PHONY: build build-arch build-indep clean install binary-indep binary-arch binary

## imgsizer 2.12

=== Makefile ===
--- 
+++ 
@@ -26,7 +26,7 @@
 
 # The original unshrunk crate logo is at
 # http://clipart-library.com/image_gallery/22229.jpg
-SOURCES = README COPYING NEWS control Makefile imgsizer imgsizer.xml crate.jpg \
+SOURCES = README COPYING NEWS control Makefile imgsizer imgsizer.xml \
 	test-before.html test-converted.html test.png tnhd2.jpg crate.png
 
 imgsizer-$(VERS).tar.gz: $(SOURCES) imgsizer.1 
@@ -36,12 +36,13 @@
 	rm -fr imgsizer-$(VERS)
 	ls -l imgsizer-$(VERS).tar.gz
 
-PYLINTOPTS = --rcfile=/dev/null --reports=n  --msg-template="{path}:{line}: [{msg_id}({symbol}), {obj}] {msg}" --dummy-variables-rgx='^_' --disable=C0103,C0111,C0301,C0326,F0401,R0912,W0121,W0603,W0621,W0622,W0633
 pylint:
-	@pylint $(PYLINTOPTS) imgsizer
+	@pylint --score=n imgsizer
+
+NEWSVERSION=$(shell sed -n <NEWS '/^[0-9]/s/:.*//p' | head -1)
 
 version:
-	@echo $(VERS)
+	@echo "Internal version:" $(VERS) "NEWS file version:" $(NEWSVERSION)
 
 # Regression test is good if there is no output
 check: 
@@ -52,7 +53,9 @@
 dist: imgsizer-$(VERS).tar.gz
 
 release: imgsizer-$(VERS).tar.gz imgsizer.html
+	@[ $(VERS) = $(NEWSVERSION) ] || { echo "Version mismatch!"; exit 1; }
 	shipper version=$(VERS) | sh -e -x
 
 refresh: imgsizer.html
+	@[ $(VERS) = $(NEWSVERSION) ] || { echo "Version mismatch!"; exit 1; }
 	shipper -N -w version=$(VERS) | sh -e -x

=== debian/changelog ===
imgsizer (2.12-1) unstable; urgency=medium

  * QA upload.
  * New upstream version 2.12.
  * d/patches:
    - 1000-shebank.patch: Drop patch, unnecessary in the new release.
    - 1010-imgsizer.xml-Fix-XML-grammar.patch: Refresh, forwarded, apply DEP-3.
    - 1020-Makefile-Fix-make-check.patch: Refresh, set forwarded as not-needed.
    - 1030-no-build.patch: Forwarded to Upstream.
  * d/watch: Added watch to automatically check for new version.

 -- Matheus Polkorny <mpolkorny@gmail.com>  Tue, 11 Jun 2024 13:04:47 -0300

imgsizer (2.10-6) unstable; urgency=medium

  * QA upload.

  * Added imagemagick as build dependency for self test to work.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 18 May 2024 23:05:43 +0200

imgsizer (2.10-5) unstable; urgency=medium

  * QA upload.

  * Build depend on python3 to run self test.
  * Extended 'make check' patch to not require Internet connection
    during build.
  * Renamed patches.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 18 May 2024 09:55:10 +0200

imgsizer (2.10-4) unstable; urgency=medium

  * QA upload.

  * Added missing xmlto build dependency.
  * Corrected no-build.patch metadata.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 18 May 2024 07:09:00 +0200

imgsizer (2.10-3) unstable; urgency=medium

  * QA upload.

  [ Petter Reinholdtsen ]
  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.

  [ Boyuan Yang ]
  * Added 0003-imgsizer.xml-Fix-XML-grammar.patch to fix manpage.
    (Closes: #604052)
  * Added 0001-Makefile-Fix-make-check.patch to fix check target.

  [ Petter Reinholdtsen ]
  * Updated Standards-Version from 3.7.2 to 4.7.0.
  * Use wrap-and-sort -at for debian control files
  * Trim trailing whitespace.
  * Switched to simple dh d/rules file.
  * Adjusted d/copyright with more details on packaging.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 16 May 2024 20:50:39 +0200

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,22 @@
 Section: web
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper-compat (= 13)
-Standards-Version: 3.7.2
+Build-Depends: debhelper-compat (= 13),
+               imagemagick,
+               python3,
+               xmlto,
+Standards-Version: 4.7.0
 Homepage: http://www.catb.org/~esr/imgsizer/
+Vcs-Browser: https://salsa.debian.org/debian/imgsizer
+Vcs-Git: https://salsa.debian.org/debian/imgsizer.git
+Rules-Requires-Root: no
 
 Package: imgsizer
 Architecture: all
-Depends: ${misc:Depends}, imagemagick | file, imagemagick | libjpeg-turbo-progs, python3
+Depends: imagemagick | file,
+         imagemagick | libjpeg-turbo-progs,
+         python3,
+         ${misc:Depends},
 Description: Adds WIDTH and HEIGHT attributes to IMG tags in HTML files
  The imgsizer script automates away the tedious task of creating and
  updating the extension HEIGHT and WIDTH parameters in HTML IMG tags.

=== debian/watch ===
version=4
http://www.catb.org/~esr/imgsizer imgsizer-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
